#ifndef THREED_WINDOW_H
#define THREED_WINDOW_H

#include "glutAdmin.h"
#include "RasterData.h"
#include "Geometry.h"

class ThreeDWindow : public GlutWindow
{
public:

   RasterData RD;
   int        width;
   int        height;
   int        mx0;
   int        my0;
   double     scale;
   int        op_mode;
   bool       scaling;
   Point      llcorner;

   ThreeDWindow(GlutAdmin &admin,int width,int height,int initX,int initY,char* title);
   ~ThreeDWindow();

   void DisplayFunc();
   void ReshapeFunc(int newwidth,int newheight);   
   void MenuFunc(int value);
// void MotionFunc(int x,int y);
   void MouseFunc(int button,int state,int x,int y);
   void IdleFunc();
   void show();
}
;

#endif
