#ifndef TIN_WINDOW_H
#define TIN_WINDOW_H

#include <list>
#include "glutAdmin.h"
#include "Geometry3D.h"

class TinWindow : public GlutWindow
{
public:

   list<Triangle> tin;
   BoundingBox3D  bb;
   float          angle;
   int            vis_mode;
   int            width;
   int            height;
   int            mx0;
   int            my0;

   TinWindow(GlutAdmin &admin,int width,int height,int initX,int initY,char* title);
   ~TinWindow();

   void DisplayFunc();
   void ReshapeFunc(int newwidth,int newheight);   
   void MenuFunc(int value);
   void MotionFunc(int x,int y);
   void MouseFunc(int button,int state,int x,int y);
   void show();
};

#endif
