#include <cstdlib>
#include <cassert>
#include <iostream>
#include "3DWindow.h"

int 
main(int argc, char** argv)
{
  GlutAdmin  admin;

  ThreeDWindow win(admin,400,400,200,100,"Heightfield");

  assert(argc == 2);
  ifstream F(argv[1]);

  F >> win.RD;
  cout << win.RD;

  win.scale = 2.0/win.RD.cellsize;
  win.llcorner.x = win.RD.xllcorner;
  win.llcorner.y = win.RD.yllcorner;

  admin.MainLoop();

  return EXIT_SUCCESS;
}

