#include <cstdlib>
#include <cassert>
#include <iostream>
#include <algorithm>
#include "TinWindow.h"

int 
main(int argc, char** argv)
{
  GlutAdmin  admin;
  Triangle   triangle;

  TinWindow win(admin,400,400,200,100,"TIN");

  assert(argc == 2);
  ifstream F(argv[1]);

  while (F >> triangle)
    win.tin.push_front(triangle);

//copy( win.tin.begin(), win.tin.end(), ostream_iterator<Triangle>( cout));

  for_each(win.tin.begin(), win.tin.end(), EnlargeBB3D(win.bb));

  cout << win.bb << endl;

  admin.MainLoop();

  return EXIT_SUCCESS;
}

